## ros-noetic-openni-description 1.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openni_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY model DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY test  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} USE_SOURCE_PERMISSIONS)
if (CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  if("$ENV{ROS_DISTRO}" STRGREATER "jade")
    add_rostest(test/sample_kobuki.test)
  endif()
endif ()

=== debian/changelog ===
ros-noetic-openni-description (1.11.1-1focal) focal; urgency=high

  * Remove a test_depend on pkg that are not guaranteed to be available in newer distro. #70 <https://github.com/ros-drivers/openni_camera/issues/70>
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 13 Sep 2018 04:00:00 -0000

ros-noetic-openni-description (1.11.0-1focal) focal; urgency=high

  * Initial release. See https://discourse.ros.org/t/common-location-for-sensor-urdf-files/1758/
  * Contributors: Isaac I.Y. Saito

 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 13 Jan 2018 05:00:00 -0000

ros-noetic-openni-description (1.10.0-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 06 Jan 2018 05:00:00 -0000

ros-noetic-openni-description (1.9.5-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 31 Mar 2016 04:00:00 -0000

ros-noetic-openni-description (1.9.4-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 27 Oct 2015 04:00:00 -0000

ros-noetic-openni-description (1.9.3-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Sat, 17 Oct 2015 04:00:00 -0000

ros-noetic-openni-description (1.9.2-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 19:11:00 -0000

ros-noetic-openni-description (1.9.1-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 17 Jan 2014 18:29:00 -0000

ros-noetic-openni-description (1.9.0-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 27 Jun 2013 04:00:00 -0000

ros-noetic-openni-description (1.8.8-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Tue, 08 Jan 2013 05:00:00 -0000

ros-noetic-openni-description (1.8.7-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Fri, 04 Jan 2013 05:00:00 -0000

ros-noetic-openni-description (1.8.6-1focal) focal; urgency=high



 -- Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>  Thu, 03 Jan 2013 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-openni-description
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <130s@2000.jukuin.keio.ac.jp>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-tools, ros-noetic-catkin, ros-noetic-rostest
Homepage: http://www.ros.org/wiki/openni_description
Standards-Version: 3.9.2

Package: ros-noetic-openni-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-urdf, ros-noetic-xacro
Description: Model files of OpenNI device.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-openni-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
